# InputProviderListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.command
Interface InputProviderListener

All Known Implementing Classes:
  InputProviderTest

    public interface InputProviderListener

Description of any class wishing to recieve notifications of command invocations. Implementations should be added to an appropriate input provider to recieve input notification

Author:
  joverton

Method Summary
`void` `controlPressed(Command command)` A control representing an control was pressed relating to a given command.
`void` `controlReleased(Command command)` A control representing an control was released relating to a given command.

Method Detail

### controlPressed

    void controlPressed(Command command)

  A control representing an control was pressed relating to a given command.

  Parameters:
    `command` - The command that the control related to

### controlReleased

    void controlReleased(Command command)

  A control representing an control was released relating to a given command.

  Parameters:
    `command` - The command that the control related to

Copyright © 2006 New Dawn Software. All Rights Reserved.